package org.wcs.serve.service.intf;

import org.wcs.model.dto.serve.etagBase.*;
import org.wcs.model.vo.serve.AppServeDataResponse;
import org.wcs.model.vo.serve.AppServeResponse;
import org.wcs.model.vo.serve.common.PageDataResponse;
import org.wcs.model.vo.serve.etagBase.EtagControllerVo;
import org.wcs.model.vo.serve.etagBase.EtagLocationVo;
import org.wcs.model.vo.serve.etagBase.EtagTagInfoVo;

public interface IEtagBaseService {

    AppServeDataResponse<PageDataResponse<EtagControllerVo>> queryEtagController(EtagControllerQueryReq request, Integer pageIndex, Integer pageSize);
    AppServeResponse addEtagController(AddEtagControllerReq request); // 添加数据
    AppServeResponse updateEtagController(UpdateEtagControllerReq request); // 修改数据
    AppServeResponse deleteEtagController(Integer etagControllerId); // 删除数据

    AppServeDataResponse<PageDataResponse<EtagTagInfoVo>> queryEtagTagInfo(EtagTagInfoQueryReq request, Integer pageIndex, Integer pageSize); // 查询小标签数据
    AppServeResponse addEtagTagInfo(AddEtagTagInfoReq request); // 添加小标签数据
    AppServeResponse updateEtagTagInfo(UpdateEtagTagInfoReq request); // 修改小标签数据
    AppServeResponse deleteEtagTagInfo(String tagName); // 删除小标签数据

    AppServeDataResponse<PageDataResponse<EtagLocationVo>> queryEtagLocation(EtagLocationQueryReq request, Integer pageIndex, Integer pageSize); // 查询货位数据
    AppServeResponse addEtagLocation(AddEtagLocationReq request); // 添加货位数据
    AppServeResponse updateEtagLocation(UpdateEtagLocationReq request); // 修改货位数据
    AppServeResponse deleteEtagLocation(String recordId); // 删除货位数据
}
